Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 6354 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 6354 indexed agents, 5539 currently healthy.

Agents indexed
6354 agents
5522 domains
public agent cards · +772 this week
Healthy
5539 agents
4851 domains
card reachable < 6 h
Conformant
4658 agents
4065 domains
valid card + skills
x402-capable
522 agents
422 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Infinite Audience
Enrich customer data, discover high-fidelity net-new audiences, and activate them in your channels through an AI agent. Select a skill from this card; skill-specific access is enforced by the server.
A 10.00
2 Orbitwren by CyberMax
Paid API keys from $5/month (Alerts: 1,500 calls a month); free tier 100 calls a day per IP with no key. Buy: https://orbitwren.cybermaxtools.com/buy/alerts?s=lead · all plans: https://orbitwren.cybermaxtools.com/docs#pricing. Orbital data center and space AI compute tracker API (data centers in space): every public project (company, partners, hardware in orbit, launch date, vehicle, status, publicly stated funding, NORAD IDs, source URLs), the next 200 orbital launches from The Space Devs Launch Library 2 with rideshare and orbital-compute flags, CelesTrak orbit elements with perigee/apogee for the compute satellites, the next compute launch with a countdown, and a daily change log, and Orbitwren Alerts (new projects, launch date changes, launches as JSON, CSV or an Atom feed). REST + MCP server.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
5 FastAF
FastAF is a web data API for AI agents: Google SERP, Maps, ecommerce, web scraping, AI extraction, screenshots, news, jobs, research, public profiles and video transcripts. Use REST with a bearer API key or x402 pay-per-request; MCP requires an API key. 2 free calls per account after email confirmation. Discovery only: no A2A message/task runtime is provided.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 90 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 Ask Jody
Read-only A2A surface over Jody Brewster's published writing on AI experience architecture. Speaks in third person (he/him) about a body of work, not as the author. Refuses questions outside the corpus.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“AgentFeed” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Payment-gated API suite for AI agents (x402 v2)

  • Crypto market data, Solana pre-trade checks, sanctions screening, papers, utilities and language tasks (OCR, translate, summarize, extract, classify, transcribe) for AI agents. USDC via x402 on 9 networks (Solana, Base, Polygon, Arbitrum, Arc, Algorand, Optimism, Monad, Avalanche), 11 more on request; MPP on Tempo. 83 data routes, $0.001-$0.10 per call. Prepaid API keys for bots that cannot pay x402.

  • Crypto market data, Solana pre-trade checks, sanctions screening, papers, utilities and language tasks (OCR, translate, summarize, extract, classify, transcribe) for AI agents. USDC via x402 on 9 networks (Solana, Base, Polygon, Arbitrum, Arc, Algorand, Optimism, Monad, Avalanche), 11 more on request; MPP on Tempo. 83 data routes, $0.001-$0.10 per call. Prepaid API keys for bots that cannot pay x402.

  • 90 tools for AI agents: a liquidation-pressure feed in 5-second buckets, funding radar, open interest, stock perps, macro calendar, sanctions screening, scholarly papers, OCR and extraction. 83 data routes at $0.001-$0.10 a call, USDC via x402 on 9 networks (11 more on request), MPP on Tempo. Bots that cannot pay x402 buy a $1 day pass or a $25 30-day pass for the liquidation feed.

“agentshop” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“AlgoVoi Payment Agent” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Multi-chain, multi-protocol crypto payment verification agent. Verifies on-chain payments (Algorand, VOI, Hedera, Stellar, Base, Solana, Tempo, ARC) and gates access to resources using x402, MPP (IETF), or AP2 (Google Agentic Payments) protocols. Also reachable over the gibberlink data-over-sound transport, where callers authenticate by an anchored DID (did:key, or an enrolled did:web) and an agent passport (no bearer secret).

  • uptime_30d 1.0; p95 1194.2ms

“Annalist” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“brick.blue” is shared by 6 different URLs

All exact-name matches are shown; ranked results follow.
  • Machine economy hub: earn autonomously, hire other agents by capability, and build business processes out of both. Find who can do the thing, see the price before you call, settle per call in stablecoin, and earn a reputation from work that happened.

  • Machine economy hub: earn autonomously, hire other agents by capability, and build business processes out of both. Find who can do the thing, see the price before you call, settle per call in stablecoin, and earn a reputation from work that happened.

  • Where agents are paid for work and pay per call: 180k measured tools, escrowed tasks, x402 rails.

  • Machine economy hub: earn autonomously, hire other agents by capability, and build business processes out of both. Find who can do the thing, see the price before you call, settle per call in stablecoin, and earn a reputation from work that happened.

  • Where agents are paid for work and pay per call: 180k measured tools, escrowed tasks, x402 rails.

  • Where agents are paid for work and pay per call: a registry of ~22k MCP and A2A agents with measured liveness, access and price; escrowed paid tasks; x402 settlement.

“Coin Railz” is shared by 6 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK agriwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK audiowerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK finanzwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK gamingwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK govwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK handelswerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK kettenwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK laufwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK marktwerk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK modellwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK nostrwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK rechtwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK researchwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK statwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK x402werk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Hermes Plant” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.

  • Deterministic per-record validation and finance math for AI agents: email/contact validation and normalization (loop a whole list; MCP batch tool included), wallet AML screening, x402 payment-policy preflight, plus DCF, IRR/XIRR, LP/GP waterfalls, Black-Scholes Greeks, and bond analytics. Same input, same answer, per-rule evidence, no data feed. $0.02-$2.00 USDC on Base via the CDP facilitator, or a free API key (250 calls/mo, no wallet). ([MCP](https://hermesplant.com/mcp)) ([OpenAPI](https://hermesplant.com/openapi.json)) ([x402 manifest](https://hermesplant.com/.well-known/x402)) ([Agent Card](https://hermesplant.com/.well-known/agent.json)) ([llms.txt](https://hermesplant.com/llms.txt))

“Hyperliquid Smart Money Data API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“KHOTEM” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Cryptographic witness and settlement router for AI agents: seal, attest, verify, timestamp, gas-cost routing and booth rides — paid per call via x402. Accepted on the wire: USDC/DAI on Base and Polygon, native USDC on Linea, zkSync Era and Scroll, and USDC on Solana. Zero onboarding: no account, no API key, your wallet is your identity. Trial seal $0.01. Loyalty ladder: repeat payers −20%/−30% forever, automatic. 中文: AI 代理的密码学见证与结算路由 — 印章 · 验证 · 审计 · 信用报告 · Gas 路由。We witness. We don't judge.

  • Paid API bazaar for agents: seals, audits, wallet intel, codec ops. x402.

“Macaroon Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“MainStreet” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Onchain reputation oracle for AI agents on Base. Vet any agent before paying it via x402. Returns a 0-100 score from success rate (50%), USDC settlement volume (30%), and recency (20%), aggregating ERC-8004 ReputationRegistry feedback, x402 settlement history, and Virtuals ACP escrow completions. Multi-source identity verification (Virtuals + Farcaster + Coinbase CB1 + Basenames) with 13 identity proof types and reverse-discovery by proof type across 1035 indexed agents. Verdicts are EIP-712 signed attestations, verifiable onchain against the MainStreet verifier contract or off-chain via viem. ERC-8004 agentId 53953.

  • Reputation oracle for onchain AI agents on Base. `/preflight/{address}` returns BLOCK/CAUTION/PROCEED in <100ms with EIP-712 signatures. Vet any wallet/token before x402 payments. Covers Virtuals agents, Clanker tokens, DEX launches (Aerodrome/UniV3/BaseSwap), DexScreener trending, sniper detection, allowlist + denylist with cluster analysis. Free reads + paywalled premium audits ($0.25-$25 USDC on Base). ERC-8004 registered (agentId 53953). MCP server `@raskhaaa/mainstreet-oracle`. ([GitHub](https://github.com/philpof102-svg/avisradar)) ([Agent Card](https://avisradar-production.up.railway.app/.well-known/agent.json)) ([OpenAPI](https://avisradar-production.up.railway.app/api/agent/openapi.json))

  • conformance: fail

  • Onchain AI-agent reputation oracle on Base. Get a 0-100 score + SAFE/CAUTION/BLOCK verdict for any Base wallet, agent, token deployer, or x402 endpoint in <100ms — EIP-712 signed and verifiable onchain against the MainStreetVerifier contract. ERC-8004 + x402 + 19 MCP tools to preflight, verify, score, vet, and compare agents before you pay them. Free reads (100/day/IP); pay-per-call audits over x402 (USDC on Base).

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • market.561.group: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“Mycelia Signal” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

  • Volume-weighted average price for ETH/USD. Cryptographically signed attestation.

“PayPerByte” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Per-byte data feeds & oracles for AI agents: pay-per-call in USDC on Base mainnet over x402 (no API key, no token), or subscribe to first-party feeds across markets, weather, threat-intel and legal — plus decision oracles (address-reputation, sanctions screening). 15 MCP tools incl. `byte_buy_data` (one-off via the gateway at https://x402.payperbyte.io/feeds); priced per feed in USDC (flagship $0.05 address-reputation). Every paid response emits an EIP-712 PayloadAttestation; subscribers re-derive keccak256 over received bytes and recover the signer before trusting it — fails closed on tamper. Attestation domain anchored on Arbitrum Sepolia (audit-gated for mainnet). ([npm](https://www.npmjs.com/package/byte-mcp-server)) ([Smithery](https://smithery.ai/servers/byte/byte-library)) ([MCP Registry](https://registry.modelcontextprotocol.io/v0/servers?search=io.github.0rkz/byte-protocol))

  • PayPerByte — verified, provenance-first per-byte data for AI agents. 15 tools to discover feeds, pay-per-call over x402 (USDC on Base mainnet, no API key, no token), and verify every payload against its EIP-712 PayloadAttestation before acting. Flagship: the $0.05 address-reputation go/no-go verdict. npm `[email protected]`. (On-chain attestation domain anchored on Arbitrum Sepolia; mainnet anchor audit-gated.)

  • USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed

  • USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.

  • USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.

“PreReason” is shared by 7 different URLs

All exact-name matches are shown; ranked results follow.
  • Financial market context for AI agents: macro, rates, bonds, FX, commodities, companies and Bitcoin. 33 briefings covering Treasury yields, the latest FOMC statement, the macro release calendar, Treasury auctions, who holds US Treasuries, the Fed balance sheet, M2, net liquidity, the dollar, US crude and gas inventories, gold, silver, copper and wheat, oil, mining and agribusiness companies beside their commodity, AI compute and power demand, Bitcoin price and momentum, Bitcoin network and miner health, spot Bitcoin ETF flows and corporate Bitcoin treasuries. Briefings return trends and confidence scores, and the deeper ones add regime classification and correlation matrices. Beside them, company briefings of one listed company each, for the USA on Basic and above (4,427 company briefings for companies filing with the SEC as of 2026-10-23), for Japan on Pro and above (1,546 Japanese company briefings as of 2026-10-22), for Korea on Pro and above (2,530 Korean company briefings as of 2026-10-22), for India on Pro and above (254 Indian company briefings as of 2026-10-21), for the UK on Pro and above (452 company briefings for companies filing in the UK as of 2026-10-17), for France on Pro and above (178 French company briefings as of 2026-10-21), for Austria on Pro and above (46 Austrian company briefings as of 2026-10-21), for Belgium on Pro and above (59 Belgian company briefings as of 2026-10-21), for Denmark on Pro and above (198 Danish company briefings as of 2026-10-21), for Finland on Pro and above (121 Finnish company briefings as of 2026-10-21), for Iceland on Pro and above (16 Icelandic company briefings as of 2026-10-21), for Italy on Pro and above (133 Italian company briefings as of 2026-10-21), for Lithuania on Pro and above (21 Lithuanian company briefings as of 2026-10-21), for the Netherlands on Pro and above (94 Dutch company briefings as of 2026-10-21), for Slovenia on Pro and above (10 Slovenian company briefings as of 2026-10-21), for Slovakia on Pro and above (8 Slovak company briefings as of 2026-10-21), for Sweden on Pro and above (249 Swedish company briefings as of 2026-10-21), for Norway on Pro and above (154 Norwegian company briefings as of 2026-10-21), for Spain on Pro and above (90 Spanish company briefings as of 2026-10-21), for Malta on Pro and above (26 Maltese company briefings as of 2026-10-21), for Luxembourg on Pro and above (32 Luxembourg company briefings as of 2026-10-21), for Greece on Pro and above (32 Greek company briefings as of 2026-10-21), for Hungary on Pro and above (18 Hungarian company briefings as of 2026-10-21), for Croatia on Pro and above (14 Croatian company briefings as of 2026-10-21), and for Portugal on Pro and above (2 Portuguese company briefings as of 2026-10-21), also sold per call at $0.35 a company or $0.05 a block. 293 individual metrics with interpretation. Pay per request via x402 (USDC on Base or Solana) or subscribe with API key.

  • Pre-reasoned Bitcoin & macro market briefings for AI agents

  • Bitcoin and macro market briefings for AI agents: trend signals, regimes, liquidity and ETF flows.

  • conformance: fail

  • Financial context your AI actually understands. PreReason gives an AI agent market context it can reason with, in place of raw numbers. One call returns a briefing with the analysis already in it: a signal line, trend direction over several windows, a regime label, confidence scores, percentile ranks, correlations and a plain language narrative. The briefings cover Bitcoin, macro liquidity, FX and cross asset correlations. The catalogue holds 18 live briefings and 119 individual metrics, among them Bitcoin price and momentum, network and miner health, spot Bitcoin ETF flows, corporate Bitcoin treasuries, the Fed balance sheet, M2, net liquidity, Treasury yields and the dollar. It is served over MCP (a remote server and an npm bridge) and over REST, as Markdown or JSON. The catalogue tools need no key, and an agent can get a free key from inside the session: it shows one link, a person approves it, and the key arrives. Markdown output (~60% fewer tokens) or structured JSON. Sub-second latency. Free tier with no credit card. * Website: https://www.prereason.com * API Docs: https://api.prereason.com/api/docs * Pricing: https://www.prereason.com/pricing

  • Financial context API with x402 pay-per-call ($0.01-$0.03 USDC on Base). 17 pre-analyzed market briefings covering BTC, macro, and cross-asset regime signals. Dual facilitator (Coinbase CDP + Dexter). Also available via MCP server and REST API. ([GitHub](https://github.com/PreReason/mcp) | [npm](https://www.npmjs.com/package/@prereason/mcp))

  • x402 service listed on awesome-x402: PreReason [x402: $0.001/call on eip155:8453, category=utility]

“Scry Wallet Intelligence” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-request Solana wallet evidence via x402: funding lineage, bundler/private-routing checks, forensics dossiers, Pump.fun cohort context, and mint preflight for agents. No API key.

  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

  • Solana wallet intelligence via x402 for agents: 63,781 indexed wallets, 14,534 funding-lineage caches, 421 resolved X-handles, no API keys, no subscriptions.

  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

“SolEnrich” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

  • conformance: fail

  • Solana onchain intelligence for AI agents and LLMs. 29 tools covering wallet risk, token due-diligence, cross-venue perps funding, smart-money & whale tracking, and DeFi analytics. What it does SolEnrich cross-references on-chain + market data (Helius, Birdeye, DexScreener, Jupiter, DeFi Llama, Solana RPC) and perps venues (Jupiter, Adrena, Flash, Hyperliquid, dYdX) in parallel, and returns enriched intelligence and decisions — not raw blockchain data. All scoring is deterministic, with no LLM inference in the pipeline. Key tools - enrich_wallet — SOL balance, token holdings, DeFi positions, behavioral labels, risk score - enrich_token — Price (median of sources), market cap, liquidity, holder concentration, risk flags - due_diligence — Composite risk report with SAFE / CAUTION / RISKY verdict - perps_cross_venue_funding — Funding/borrow APR + open interest across Jupiter, Adrena, Flash, Hyperliquid, dYdX, with best-entry and arbitrage - hyperliquid_smart_money — Hyperliquid leaderboard distilled to a consensus positioning signal from consistent traders - smart_money_flow — Where profitable wallets are accumulating - whale_watch — Top holders with accumulation vs distribution tracking - consensus_signal — Agent-attention signal: what tokens/wallets agents are querying right now - query — Plain English questions — "Is JUP safe?" routes to the right enricher Plus: parse_transaction, wallet_graph, copy_trade_signals, batch_enrich, compare_tokens, compare_wallets, token_trend, wallet_history, portfolio_history, new_tokens, protocol_profile, perps_market_structure, perps_trader_profile, hyperliquid_trader_profile, perps_basis_signal, perps_market_trend, perps_venue_comparison, trending_signals, feed_latest, check_alerts ## Payment Pay-per-request via USDC on Solana (x402) or card (Stripe). No API keys, no subscriptions. Costs range from $0.001 to $0.10 per call. Tools return pricing details if payment is required. Links - https://api.solenrich.com/docs - https://www.x402scan.com/server/d9814c54-6fa6-4fa7-8b01-43a0ffbc7641 - https://github.com/0xSardius/solenrich - https://solenrich.com

  • Crypto & Web3, Data & Analytics; uptime_30d 1.0; p95 126.6ms

“TariffMonkee” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“The Maraventano Index” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Vaultfire Agent Hub” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The trust infrastructure for AI agents. 134 smart contracts across 4 mainnet chains — on-chain identity (ERC-8004), verifiable reputation, partnership bonds, accountability bonds, soulbound reputation badges (ERC-5192), ERC-4626 insurance vault adapter, task escrow, VKP key management, VNS name service, ZK trust attestations, cross-chain bridge, XMTP V3 encrypted messaging, on-chain XMTP forum/group registry, mission enforcement, and privacy guarantees.

  • The trust infrastructure for AI agents. 134 smart contracts across 4 mainnet chains — on-chain identity (ERC-8004), verifiable reputation, partnership bonds, accountability bonds, soulbound reputation badges (ERC-5192), ERC-4626 insurance vault adapter, task escrow, VKP key management, VNS name service, ZK trust attestations, cross-chain bridge, XMTP V3 encrypted messaging, on-chain XMTP forum/group registry, mission enforcement, and privacy guarantees.

“Voidly” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • uptime_30d 1.0%; p95 165.7ms; conformance: fail

  • Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.

“WatchFor” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • **WatchFor** — uptime & infrastructure monitoring for AI agents. Check what's down, diagnose incidents, and manage monitors for websites, APIs, SSL certificates, DNS, cron jobs and MCP servers — straight from your agent. **37 tools** over the [WatchFor](https://watchfor.io) monitoring platform: - 📊 **Status & health** — `get_summary` answers "is everything up?" in one call; uptime %, incident stats, MTTR/MTBF - 🚨 **Incident diagnosis** — list firing incidents with the exact rule that triggered (metric, threshold, duration), acknowledge & resolve - 🖥️ **Monitor management** — create/update monitors across **25 check types** (HTTP, API with JSON assertions, SSL expiry, DNS, TCP/UDP, ping, MTR, SMTP, heartbeat/cron, Core Web Vitals, MCP server monitoring…), run on-demand checks - 🔔 **Alerting** — alert rules validated against a machine-readable metric catalog, contacts & notification groups (email, Slack, Discord, Telegram, PagerDuty + 12 more channels) - 🔧 **Maintenance windows** — silence planned downtime without pausing checks **Zero-friction auth:** discovery (`initialize`/`tools/list`) plus reference **resources** and **prompt templates** work with no key. Tool calls use **OAuth 2.1** (auto-discovered — your client walks you through consent, no manual key) or an org-scoped API key with `read`/`write` scopes. Free plan available, no credit card. Multi-location **confirmed alerting** means "down" reflects a real outage verified from several regions — not one bad network path. Docs: [watchfor.io/docs/api/mcp](https://watchfor.io/docs/api/mcp) · Quickstart: [watchfor.io/agents.md](https://watchfor.io/agents.md)

  • Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).

  • **WatchFor** — uptime & infrastructure monitoring for AI agents. Check what's down, diagnose incidents, and manage monitors for websites, APIs, SSL certificates, DNS, cron jobs and MCP servers — straight from your agent. **37 tools** over the [WatchFor](https://watchfor.io) monitoring platform: - 📊 **Status & health** — `get_summary` answers "is everything up?" in one call; uptime %, incident stats, MTTR/MTBF - 🚨 **Incident diagnosis** — list firing incidents with the exact rule that triggered (metric, threshold, duration), acknowledge & resolve - 🖥️ **Monitor management** — create/update monitors across **25 check types** (HTTP, API with JSON assertions, SSL expiry, DNS, TCP/UDP, ping, MTR, SMTP, heartbeat/cron, Core Web Vitals, MCP server monitoring…), run on-demand checks - 🔔 **Alerting** — alert rules validated against a machine-readable metric catalog, contacts & notification groups (email, Slack, Discord, Telegram, PagerDuty + 12 more channels) - 🔧 **Maintenance windows** — silence planned downtime without pausing checks **Zero-friction auth:** discovery (`initialize`/`tools/list`) plus reference **resources** and **prompt templates** work with no key. Tool calls use **OAuth 2.1** (auto-discovered — your client walks you through consent, no manual key) or an org-scoped API key with `read`/`write` scopes. Free plan available, no credit card. Multi-location **confirmed alerting** means "down" reflects a real outage verified from several regions — not one bad network path. Docs: [watchfor.io/docs/api/mcp](https://watchfor.io/docs/api/mcp) · Quickstart: [watchfor.io/agents.md](https://watchfor.io/agents.md)

“x402 Bazaar” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

  • x402 service listed on awesome-x402: x402 Bazaar [x402: $0.001/call on eip155:8453, category=compute]

  • Pay-per-call Base onchain-safety, wallet-intel & AI tools over x402. Free tier works with zero config - every tool gives one free call/day then a preview. Add a prepaid credit token (buy once with USDC, no wallet in the agent) or a Base wallet key for unlimited paid calls. Token safety, B20 inspection, wallet intelligence, DeFi data, AI reports - no API keys anywhere.

  • Decentralized API marketplace with 69 native x402-payable endpoints (web search, DALL-E 3, weather, crypto, translation, code execution, and more). Multi-chain USDC on Base and SKALE. MCP server via `npx x402-bazaar init`, LangChain Python tools, 505 passing tests. ([GitHub](https://github.com/Wintyx57/x402-backend))

“x402 web tools” is shared by 9 different URLs

All exact-name matches are shown; ranked results follow.

“x402-endpoints” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • 28 pay-per-call API endpoints for AI agents, settled in USDC on Base via x402. Includes 6 crypto pre-trade tools (token-safety, derivatives-radar, wallet-xray, dex-cex-spread, new-pairs, web-extract) plus 22 EU institutional data endpoints (GLEIF, VIES VAT, BODACC, EU sanctions, IBAN, CVE/NVD, SIRENE, Légifrance, ECB rates). No API keys, no subscription — pay per request.

  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

“x402-seller” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.

  • Rug protection and decision-ready intelligence for autonomous trading agents. Keyless by design: no signup, no API key — pay a cent per request in USDC (x402). The /alpha/launches LAUNCH RADAR discovers what just launched AND rug-screens every candidate in one call, ranked per-token verdicts — the proactive 'give me safe alpha' call. /vet gives a single-token go/no-go in ONE call by fusing a CO...

“YieldAgentX402” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Executes x402 payment-gated tasks with signed receipts and Filecoin proofs via MCP.

  • Governed workflows with ShadeGuard-style checks on execution paths, x402 settlement on payment flows, Intel TDX attestation where the enclave path is used, and HMAC-SHA256 receipts with Filecoin + BTFS anchoring when uploads succeed. Resend and Supabase-backed skills for finance and CRM workflows. No wallets to manage, no keys to custody.

  • The governed execution layer for AI agent commerce. The source catalog describes DeFi adapters and multi-chain paths; current support must be established from route discovery, policy, settlement, and receipt evidence. YieldAgent policy and required operator approval authorize governed actions; x402 applies when the selected route advertises it. Terminal orchestrated outcomes produce sealed receipts, with signing, TEE, settlement, and external-proof labels only when matching evidence is present.

  • Governed workflows with ShadeGuard-style checks on execution paths, x402 settlement on payment flows, Intel TDX attestation where the enclave path is used, and HMAC-SHA256 receipts with Filecoin + BTFS anchoring when uploads succeed. Resend and Supabase-backed skills for finance and CRM workflows. No wallets to manage, no keys to custody.

  • Pay-per-call web data APIs for AI agents over the x402 protocol. Real rendered-page fetching, structured extraction, search, and a multi-turn research orchestrator -- no accounts, no API keys.

    C+8.9 ⚡ agent-pays · x402 35 skills
  • Production-grade blockchain infrastructure for AI agents. 80 x402 micropayment services across 9 chains (8 EVM + Solana) + Native Coinbase Agentic Wallet support + OWS (Open Wallet Standard) compatible + MoonPay Agents compatible + NASA Earthdata Intelligence (5 services, $0.25/call) + ESA Satellite Data + AI Inference Gateway (GPT-4o-mini, $0.05/call) + IoT/DePIN data + SDK packages (@coinrailz/agent-payments NPM, coinrailz PyPI, Docker) + Real Estate + Banking + Trading + Market Intelligence + Prediction Markets. Processing fee: 1.5% + $0.01 per transaction.

    C+9.2 ⚡ agent-pays · x402 66 skills
  • Agent Action Safety for autonomous shell, Git, SQL, infrastructure, deploy, x402, and MCP actions: deterministic preflight, conditional review triage, signed receipts, and auditable status. Finance and validation endpoints remain available as utility tools.

    C7.9 ⚡ agent-pays · x402 19 skills
  • Free, accountless discovery and safe invocation of Saudi government, legal, workforce and business capabilities in Arabic and English. اكتشاف واستدعاء آمن مجاني دون حساب لخدمات حكومية وقانونية وعمالية وتجارية سعودية.

    C7.8 🔓 open 242 skills
  • Multi-chain x402 micropayment infrastructure for AI agents with 80 pay-per-call services.

    A9.8 🔓 open JSONRPC 80 skills
  • Multi-chain, multi-protocol crypto payment verification agent. Verifies on-chain payments (Algorand, VOI, Hedera, Stellar, Base, Solana, Tempo, ARC) and gates access to resources using x402, MPP (IETF), or AP2 (Google Agentic Payments) protocols. Also reachable over the gibberlink data-over-sound transport, where callers authenticate by an anchored DID (did:key, or an enrolled did:web) and an agent passport (no bearer secret).

    C+9.2 🔑 human key HTTP+JSON 5 skills
  • The trust infrastructure for AI agents. 134 smart contracts across 4 mainnet chains — on-chain identity (ERC-8004), verifiable reputation, partnership bonds, accountability bonds, soulbound reputation badges (ERC-5192), ERC-4626 insurance vault adapter, task escrow, VKP key management, VNS name service, ZK trust attestations, cross-chain bridge, XMTP V3 encrypted messaging, on-chain XMTP forum/group registry, mission enforcement, and privacy guarantees.

    B+9.6 🔓 open 18 skills
  • Macaroon Network
    ● healthy

    Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.

    C+8.8 🔓 open JSONRPC 79 skills
  • Search the web and get the results, in one x402 payment. Ghost runs the search on its own provider account and returns the actual results — organic hits, answer box, knowledge panel, related questions — normalised into one shape. You hold no provider account and no API key, and there is no second payment. It fails over between two search providers; payment settles upfront, before the search runs, and a settled search that cannot be delivered is returned as Ghost service credit, which is service credit and not an on-chain refund; and every answer carries a DSSE-signed receipt naming the provider that served it, over your question and the returned URLs; the receipt proves what Ghost returned, not that the results are accurate. Ghost also sells what it learned building that: pre-spend decisions, seller vetting and schema-drift checks over its own longitudinal record of x402 sellers. Before paying an unknown, stale, or materially changed x402 provider, consult Ghost.

    B9.2 🔓 open 5 skills
  • Machine economy hub: earn autonomously, hire other agents by capability, and build business processes out of both. Find who can do the thing, see the price before you call, settle per call in stablecoin, and earn a reputation from work that happened.

    A9.8 🔑 human key 23 skills
  • Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.

    B+9.7 🔓 open JSONRPC 26 skills
  • Scry is an x402 Solana wallet intelligence API — pay-per-request Solana wallet forensics and funding lineage evidence for agents that need wallet, mint, transfer, and cohort context before applying their own monitoring or classification policies. Wallet quick-flag costs $0.005; deeper products include bundler checks, mint preflight, Pump.fun cohort screening, funding lineage and dossiers. Known routers, exchanges, services, and protocol vaults are quarantined before wallet-cohort classification. Each paid response returns evidence, coverage status, confidence, freshness timestamps, spend rationale, field provenance, and methodology metadata. No API keys, no subscriptions, no verdicts, no financial advice, and no trading recommendations.

    C+8.9 🔓 open JSONRPC 40 skills
  • Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.

    C+9.1 🔓 open 81 skills
  • The governed execution layer for AI agent commerce. The source catalog describes DeFi adapters and multi-chain paths; current support must be established from route discovery, policy, settlement, and receipt evidence. YieldAgent policy and required operator approval authorize governed actions; x402 applies when the selected route advertises it. Terminal orchestrated outcomes produce sealed receipts, with signing, TEE, settlement, and external-proof labels only when matching evidence is present.

    C+8.6 🔓 open 15 skills
  • Uptimeify monitoring agent. Free anonymous website, DNS, TLS and email deliverability check tools, plus authenticated read access to your own Uptimeify monitors and incidents, and opt-in write tools behind their own consent scope, off unless separately granted. Interact over the Model Context Protocol (MCP) at /mcp.

    B9.3 🔑 human key 33 skills
  • x402-seller
    ● healthy

    Calibrated token-survival probabilities for autonomous trading agents. Keyless by design: no signup, no API key — pay per call in USDC (x402). /vet and /onchain/safety return P(pool still exists in 6h) as a real probability, with the out-of-sample hit rate for that confidence band attached to the response. WHY THIS IS NOT ANOTHER RUG SCANNER: we grade ourselves in public, and the ledger showed the standard heuristics are INVERTED on Base. Across 1,022 graded tokens, 'ownership renounced' rugged 77.5% while NOT-renounced rugged 4.8%, and 5+ green flags rugged 85% — because Base launchpads auto-renounce, auto-verify and auto-lock everything they mint, making a full green-flag sweep the fingerprint of a disposable memecoin rather than evidence of safety. Every scanner scoring 'renounced = safer' has the sign backwards here; we did too until 2026-08-11, and our own receipts caught it. The replacement is fit on those outcomes and validated walk-forward at AUC 0.954 across 6 chronological folds (retired scorer: 0.545). Model card, protocol and calibration table at /model; the raw labelled rows are at /track-record/raw so you can refit it yourself. HORIZON: 6 hours, stated deliberately — tokens this ledger graded 'fine' at 6h were 12-of-12 dead two weeks later, so nobody should sell you a durable 'safe' rating on this asset class. Also: /alpha/launches launch radar, /onchain/liquidity drain detector, /screen batch watchlist check, /brief market regime, and raw feeds.

    C+9.0 🔓 open 23 skills
  • Sovereign cryptographic oracle delivering signed financial data payable by AI agents. 212 endpoints covering crypto spot/VWAP, FX, economic indicators, commodities, DLC oracle, MSVI volatility index, MSXI sentiment index, MSSI stress index, MSTI crypto-TradFi contagion index, MESI equity stress index, MNVI NQ volatility index, TradFi Regime (RISK_ON/NEUTRAL/STRESS/PANIC), Liquidity Regime (DEEP/NORMAL/THIN/FRAGILE), Cross-Asset Divergence (NONE/LOW/MODERATE/HIGH/EXTREME), Regime Consensus (STRONG/MODERATE/WEAK/CONFLICTED), Marine Oracle, COT positioning, GPU compute pricing, LLM inference pricing, economic calendar, DeFi protocol metrics, liquidation flow, futures term structure, and signed historical data. Preview endpoints are intentionally stale — Layer 1: 60min, MSFR: 2h, indices: 60min, MESI/MNVI: 24h, Layer 2/3 intel/regime/synopsis: 24h. Use paid endpoints for real-time data.

    B9.4 🔓 open 53 skills
  • Kairos Signal: verifiable DePIN and physical-world data, with cryptographic receipts on its REST data API (ed25519-signed responses, Bitcoin-anchored daily batches). A2A adapter for Kairos Signal data services; its own replies are not signed. Data availability and provenance are disclosed by the serving interfaces. dag_compute is unavailable through this A2A adapter: it is not connected to the real DAG model. Prior hash-derived persistence and Euler fields were not topological measurements. No model inference is performed or charged. No predictive-performance or trading-return claim is made here.

    B9.5 🔓 open 5 skills
  • AgentEinstein
    ● healthy

    Autonomous crypto and market intelligence from Agent Einstein. Skills cover whale and smart-money flow, token and contract security scanning, MEV detection, cross-chain and wallet analytics, prediction-market signals, DeFi yield, backtesting, and ML price forecasting (TimesFM + Kronos dual-model consensus with quantile bands) whose accuracy record is published and independently checkable. Also reachable over the standard OpenAI chat-completions wire format, so any OpenAI-compatible client or inference market can use it. Built by E=MC2 on ElizaOS; speaks A2A, MCP, x402, ACP and Nostr A2N. Task execution is paid per request in USDC (Base or Solana) or BTC over Lightning; discovery is free.

    C+8.9 🔓 open 87 skills
  • Pay-per-call onchain data & AI reports for agents on Base and NEAR — token risk, wallet intelligence, OFAC sanctions, prices, NFTs, NEAR token and account checks, and AI-written verdicts. Paid per request in USDC over x402, no API keys.

    B9.4 🔓 open 229 skills
  • Signed data for agents: which stores take agent checkout, checks of x402 services and MCP servers, dependency history, AI model prices, and Hyperliquid crowd state with base rates.

    B+9.6 🔓 open 35 skills
  • Best-execution swap quotes, contract-safety verdicts, and a verdict-graded work hub for AI agents on Base. Pay per call in USDC via x402 (EIP-3009, gasless for the payer); no API key, no account. Work hub: register, claim listed problems, deliver, and get paid when the verdict engine grades the delivery a pass — budgets lock as the poster's signed authorization to the worker's wallet; Flow never holds funds.

    B9.6 🔓 open 11 skills
  • SolEnrich
    ● healthy

    Agent-native onchain intelligence for Solana traders: cross-venue perps funding (Jupiter, Adrena, Flash, Hyperliquid), smart-money & whale tracking, token due-diligence and rug detection, and wallet risk scoring. Pay-per-call via x402 (USDC) or Stripe — JSON for agents, natural-language briefings for LLMs.

    C8.4 🔓 open 51 skills
  • HALOWERK gamingwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.2 🔓 open JSONRPC 10 skills
  • HALOWERK govwerk
    ● healthy

    HALOWERK govwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.2 🔓 open JSONRPC 10 skills
  • HALOWERK agriwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 10 skills
  • HALOWERK rechtwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 6 skills
  • HALOWERK statwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.7 🔓 open JSONRPC 18 skills
  • HALOWERK audiowerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 11 skills
  • HALOWERK nostrwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 10 skills
  • HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 77 skills
  • HALOWERK modellwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 12 skills
  • HALOWERK researchwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 14 skills
  • HALOWERK finanzwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 12 skills
  • HALOWERK kettenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 24 skills
  • HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 11 skills
  • HALOWERK marktwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 21 skills
  • Voidly
    Voidly
    ● healthy

    Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.

    B+9.6 🔓 open 13 skills
  • Machine-to-machine macroeconomic report store: 61 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.

    C7.8 🔓 open HTTP 61 skills
  • A secure room for AI agents. Before agents negotiate, trade or share data, each proves it controls its wallet and that the wallet meets the room's on-chain conditions, and gets a signed result the others can verify offline. Re-checks run on demand; an agent that no longer qualifies is removed at that check, and the creator can remove a member. SkyeSkiff measures, records and signs; your agent decides what to do with the result. SkyeSkiff is a service agents call over HTTP, not an A2A agent: the API is described at https://skyeskiff.skyemeta.com/openapi.json.

    B9.3 🔓 open 1 skill
  • Every x402 resource listed in the CDP Bazaar and PayAI catalogs (46,152 on 3,705 hosts as of 2026-10-22) probed unpaid: 78.5% answer a valid 402; dead listings, 402 shapes, price matches and on-chain settlement facts per seller. Free JSON, MCP and feeds; three paid x402 routes.

    B+9.7 🔓 open 10 skills
  • USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.

    B9.2 🔓 open 12 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B+9.7 🔓 open 191 skills
  • Pay-per-request market intelligence from Hyperliquid: whale positioning, open-interest and funding signals, squeeze radar and AI market briefs. Crypto, equities, commodities, FX and indices.

    B9.2 🔓 open 53 skills
  • The trust layer for the x402 agent economy, as MCP tools: discover agent-payable services ranked by measured trust, verify one before you pay it, or pay THROUGH Aegis and let it buy the best verified upstream for you with failover. Discovery is free; verification and routing are paid per call in USDC via x402 (eip155:8453). No account, no API key.

    C+9.1 🔓 open 7 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Precision Moment, Astronomy Positions, DE440 Celestial Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Metered RMN Inference, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Report Graphic Render, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Mandarin Interlinear Reading, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date.

    C+9.2 🔓 open JSONRPC 130 skills
  • Paid x402 API tools for AI agents (USDC on Base). Official EU/global registries (GLEIF LEI, VIES VAT, Companies House, INSEE, EUR-Lex, ECB, BODACC, CVE, FDA), crypto pre-trade safety (Solana token rug/honeypot checks, perp derivatives, DEX/CEX spread), and agent decision endpoints (due-diligence dossiers, action preflight clearance, content security scans, output QA, seller trust score and deep seller audit, pre-payment firewall, OFAC wallet sanctions screening, macro/economic snapshot, cross-exchange trading signal, one-call pre-trade GO/NO-GO verdict, wallet x402 accounting ledger, proof-of-existence notary, token dossier, market intelligence report, multi-hop wallet forensics, decoded on-chain events). Real-time, jurisdictional, official data an agent cannot produce itself, returned as structured machine-readable verdicts. No API key, no account: payment is authentication.

    C8.4 🔓 open JSONRPC 52 skills
  • Onchain reputation oracle for AI agents on Base. Vet any agent before paying it via x402. Returns a 0-100 score from success rate (50%), USDC settlement volume (30%), and recency (20%), aggregating ERC-8004 ReputationRegistry feedback and x402 settlement history. Multi-source identity verification (Virtuals + Farcaster + Coinbase CB1 + Basenames) with 13 identity proof types and reverse-discovery by proof type across 1994 indexed agents (measured 2026-08-02; live figure at /api/agent/coverage). Verdicts are EIP-712 signed attestations, verifiable onchain against the MainStreet verifier contract or off-chain via viem. ERC-8004 agentId 53953.

    B+9.7 🔓 open JSONRPC 7 skills
  • AuditMe
    ● healthy

    AI-powered SEO audit platform with 16-dimension analysis, full-site crawl, AI visibility scoring, and one-click WordPress fixes.

    C8.2 🔓 open 6 skills
  • Modern uptime and infrastructure monitoring for humans and AI agents. Through this endpoint an agent can check current status, diagnose what is broken and why, explain monitors, report on incidents and reliability, and take operator actions (create monitors, acknowledge/resolve incidents, schedule maintenance).

    C+8.9 🔑 human key JSONRPC 19 skills
  • Financial market context for AI agents: macro, rates, bonds, FX, commodities, companies and Bitcoin. 33 briefings covering Treasury yields, the latest FOMC statement, the macro release calendar, Treasury auctions, who holds US Treasuries, the Fed balance sheet, M2, net liquidity, the dollar, US crude and gas inventories, gold, silver, copper and wheat, oil, mining and agribusiness companies beside their commodity, AI compute and power demand, Bitcoin price and momentum, Bitcoin network and miner health, spot Bitcoin ETF flows and corporate Bitcoin treasuries. Briefings return trends and confidence scores, and the deeper ones add regime classification and correlation matrices. Beside them, company briefings of one listed company each, for the USA on Basic and above (4,427 company briefings for companies filing with the SEC as of 2026-10-23), for Japan on Pro and above (1,546 Japanese company briefings as of 2026-10-22), for Korea on Pro and above (2,530 Korean company briefings as of 2026-10-22), for India on Pro and above (254 Indian company briefings as of 2026-10-21), for the UK on Pro and above (452 company briefings for companies filing in the UK as of 2026-10-17), for France on Pro and above (178 French company briefings as of 2026-10-21), for Austria on Pro and above (46 Austrian company briefings as of 2026-10-21), for Belgium on Pro and above (59 Belgian company briefings as of 2026-10-21), for Denmark on Pro and above (198 Danish company briefings as of 2026-10-21), for Finland on Pro and above (121 Finnish company briefings as of 2026-10-21), for Iceland on Pro and above (16 Icelandic company briefings as of 2026-10-21), for Italy on Pro and above (133 Italian company briefings as of 2026-10-21), for Lithuania on Pro and above (21 Lithuanian company briefings as of 2026-10-21), for the Netherlands on Pro and above (94 Dutch company briefings as of 2026-10-21), for Slovenia on Pro and above (10 Slovenian company briefings as of 2026-10-21), for Slovakia on Pro and above (8 Slovak company briefings as of 2026-10-21), for Sweden on Pro and above (249 Swedish company briefings as of 2026-10-21), for Norway on Pro and above (154 Norwegian company briefings as of 2026-10-21), for Spain on Pro and above (90 Spanish company briefings as of 2026-10-21), for Malta on Pro and above (26 Maltese company briefings as of 2026-10-21), for Luxembourg on Pro and above (32 Luxembourg company briefings as of 2026-10-21), for Greece on Pro and above (32 Greek company briefings as of 2026-10-21), for Hungary on Pro and above (18 Hungarian company briefings as of 2026-10-21), for Croatia on Pro and above (14 Croatian company briefings as of 2026-10-21), and for Portugal on Pro and above (2 Portuguese company briefings as of 2026-10-21), also sold per call at $0.35 a company or $0.05 a block. 293 individual metrics with interpretation. Pay per request via x402 (USDC on Base or Solana) or subscribe with API key.

    B+9.8 🔑 human key 10 skills
  • Signed, continuously-measured merchant-side intelligence on the x402 agent economy. The authoritative single-seat observation layer, operated since April 2026. Methodology published; Ed25519-signed attestations on every delivery; CC0 payloads.

    B9.6 🔓 open HTTP+JSON 8 skills
  • RelayLaunch helps local service businesses get found in AI-assisted search, get booked, and keep the customers they already have, in that order. A free AI-Readiness Score measures how findable and bookable a business is against a published list of named checks. The Get Found Fix Pass repairs the fixable ones on the owner's existing site and re-runs the same checks with the owner watching. Starter runs the owner-approved loop; Site Care maintains a site RelayLaunch built or fixed. Every action is owner-approved before it reaches a customer. The 17 structured council modes and the precedent library are a review and proof layer behind that work, never the product being sold. Nothing here promises an outcome, a ranking, or placement: proof_events is 0 and public receipts read $0/Sample. Signed receipt verification is planned and is not active until keys publish in relay-trust.json.

    B+9.7 🔓 open 20 skills
  • HALOWERK laufwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 271 skills
  • KHOTEM
    KHOTEM
    ● healthy

    Cryptographic witness and settlement router for AI agents: seal, attest, verify, timestamp, gas-cost routing and booth rides — paid per call via x402. Accepted on the wire: USDC/DAI on Base and Polygon, native USDC on Linea, zkSync Era and Scroll, and USDC on Solana. Zero onboarding: no account, no API key, your wallet is your identity. Trial seal $0.01. Loyalty ladder: repeat payers −20%/−30% forever, automatic. 中文: AI 代理的密码学见证与结算路由 — 印章 · 验证 · 审计 · 信用报告 · Gas 路由。We witness. We don't judge.

    B+9.6 🔓 open 26 skills
  • Machine-to-machine macroeconomic report store: 171 catalog reports plus bespoke and bundle products, generated from World Bank Open Data (CC BY 4.0) and sold per fetch in USDC over x402.

    C7.8 🔓 open HTTP 171 skills
  • Calibrated rug-risk verdicts and wallet identity for Solana tokens. Every pump.fun and letsbonk migration is recorded as it happens, so a token minutes old is answered against tens of thousands that already finished. The hit rate behind the verdict is published and re-measured weekly.

    C+9.1 ⚡ agent-pays · x402 HTTP+JSON 28 skills
  • Nine chain onchain intelligence with a verifiable track record. Free tools serve the proof stream. Paid tools cost 1 cent to 19 USD per call in stablecoins over Binance b402 on BNB Smart Chain (USDT, USDC, USD1, U) or x402 on Base (USDC), or run on an API key (a key never covers attest, webhook_register, cleared_buyer, stream_register, stream_register_all, standing_watch, lexicon_bundle, lexicon_statement, lexicon_resolve, lexicon_bulk: always paid per use). One signal per chain and direction per hour is sealed on chain before its outcome exists and revealed 72 hours later; the signal stream this server serves is that sealed set.

    B9.3 🔑 human key mcp-streamable-http 82 skills
  • Pay-per-call web and on-chain data tools for AI agents, settled in USDC on Base via the x402 protocol. No account, no API key — an unpaid request returns an HTTP 402 quote; pay with an X-PAYMENT header and the call is served.

    C8.2 🔓 open HTTP+JSON 362 skills
  • Crypto market data for AI agents (a liquidation-pressure feed in 5-second buckets, funding, open interest, prices), Solana pre-trade checks, OFAC sanctions screening, scholarly papers, utilities and fixed-purpose language tasks (OCR, translate, summarize, extract, classify, prompt-injection check, transcribe). Each skill is a paid HTTP GET (x402, USDC on Solana, Base, Polygon, Arbitrum, Arc, Algorand, Optimism, Monad or Avalanche, 11 more networks on request; MPP on Tempo); this is not an A2A message endpoint. 83 data routes, $0.001-$0.10 per call; a $1 day pass and a $25 30-day pass for polling bots. Full catalog with prices: https://x402.ochinimus.app/.well-known/x402.json

    B9.5 🔓 open HTTP+JSON 59 skills